# -*- coding: utf8 -*-

<%inherit file="/main.mako" />
<%
    entries = result["entries"]
    exits = result["exits"]
    rel = result["exits_pi"]
%>
<style>
table {
    width:100%
}
.line {
    border-bottom:4px solid;
    border-color:#e0e0e0
}

.quarter {
    width:25%;
}

th {
    padding-bottom:8px;
}
tr:first-child td{
    padding-top:7px;
}

td {
    padding-top:1px;
    padding-bottom:1px;
}

thead th {
    font-weight: normal;
}

section {
    margin-bottom: 25px;
}

.currentgoal {
    background-color:#${current_e_goal_perc_color};
}

.leftpad {
    padding-left:30px;
}

</style>
<div class="page-header">
<h1>Früherkennung<h1>
</div>

<div class="container">
    <section id="Laufzeit">
        <div class="row">
            <div class="col-md-8">
                <h2>Laufzeit</h2>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8">
            <table style="width:100%">
                <tbody>
                    <tr>
                        <td>Start</td>
                        <td>&nbsp;</td>
                        <td>${start}</td>
                        <td>&nbsp;</td>
                        <td>Laufzeit gesamt</td>
                        <td>&nbsp;</td>
                        <td>${total_months} Monate</td>
                    </tr>
                    <tr>
                        <td>Ende</td>
                        <td>&nbsp;</td>
                        <td>${end}</td>
                        <td>&nbsp;</td>
                        <td>Laufzeit aktuell</td>
                        <td>&nbsp;</td>
                        <td>${actual_months} Monate</td>
                    </tr>
                    <tr>
                        <td>Aktuelles Datum</td>
                        <td>&nbsp;</td>
                        <td>${today}</td>
                        <td>&nbsp;</td>
                        <td>Anteil</td>
                        <td>&nbsp;</td>
                        <td>${quota_months} %</td>
                    </tr>
            </table>
            </div>
        </div>
    </section>

    <section id="eintritte">
        <div class="row">
            <div class="col-md-12">
                <h2>Eintritte</h2>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <div class="row">
                    <div class="col-md-12">
                        <h4>Eintritte / Outputindikatoren (OI)</h4>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <table>
                            <thead>
                                <tr class="line"><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th><th>m</th><th>w</th><th>gesamt</th></tr>
                            </thead>
                            <tbody>
                                <tr><td class="quarter">TN-Eintritt</td><td>IST</td><td>&nbsp;</td><td><strong>${entries[1]}</strong></td><td><strong>${entries[0]}</strong></td><td><strong>${entries[2]}</strong></td></tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="row">
                    <div class="col-md-12">
                        <h4>Eintritte laut Zuwendungsbescheid</h4>
                    </div>
                </div>
                <div class="row">
                     <div class="col-md-12">
                        <table>
                            <thead>
                                <tr class="line"><th>&nbsp;</th><th class="quarter leftpad">SOLL</th><th class="quarter leftpad">IST</th></tr>
                            </thead>
                            <tbody>
                                <tr><td>Zielwert OI</td><td class="quarter leftpad"><strong>${goal}</strong></td><td class="quarter leftpad"><strong>${e_goal_percent} %</strong></td></tr>
                                <tr><td>Zwischenziel OI</td><td class="quarter leftpad"><strong>${actual_e_goal}</strong></td><td class="currentgoal quarter leftpad"><strong>${actual_e_goal_perc} %</strong></td></tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section id="austritte">
        <div class="row">
            <div class="col-md-12">
                <h2>Austritte</h2>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <div class="row" style="height:4.1em;">
                    <div class="col-md-12">
                        <h4>Austritte gesamt</h4>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <table>
                    <thead>
                        <tr class="line"><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th><th>m</th><th>w</th><th>gesamt</th></tr>
                    </thead>
                    <tbody>
                        <tr><td class="quarter">TN-Austritt</td><td>IST</td><td>&nbsp;</td><td><strong>${exits[1]}</strong></td><td><strong>${exits[0]}</strong></td><td><strong>${exits[2]}</strong></td></tr>
                    </tbody>
                </table>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="row" style="height:4.1em;">
                    <div class="col-md-12">
                        <h4>Austritte lt. programmspezifischen Ergebnisindikator (EI)<sup>*</sup></h4>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <table>
                    <thead>
                        <tr class="line"><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th><th>m</th><th>w</th><th>gesamt</th></tr>
                    </thead>
                    <tbody>
                        <tr><td class="quarter">TN-Austritt</td><td>IST</td><td>&nbsp;</td><td><strong>${rel[1]}</strong></td><td><strong>${rel[0]}</strong></td><td><strong>${rel[2]}</strong></td></tr>
                    </tbody>
                </table>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="row" style="height:4.1em;">
                    <div class="col-md-12">
                        <h4>Erreichter EI</h4>
                    </div>
                </div>
                <div class="row">
                     <div class="col-md-12">
                        <table>
                    <thead>
                        <tr class="line"><th>&nbsp;</th></th><th class="quarter leftpad">SOLL</th><th class="quarter leftpad">IST</th></tr>
                    </thead>
                    <tbody>
                        <tr><td>Zielwert EI für Förderprogramm</td><td class="leftpad"><strong>${zuwendung} %</strong></td><td class="quarter leftpad">&nbsp;</td></tr>
                        <tr><td>Bez. auf Austritte insgesamt</td><td class="leftpad">&nbsp;</td><td class="quarter leftpad"><strong>${rel_perc} %</strong></td></tr>
                        <tr><td>Bez. auf Eintritte insgesamt</td><td class="leftpad">&nbsp;</td><td class="quarter leftpad"><strong>${rel_entries_perc} %</strong></td></tr>
                    </tbody>
                </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <footer>
        <div class="row"><div class="col-11"><sup>*</sup> ) = ${indicator_text}</div>
    </footer>
</div>
