<%inherit file="/main.mako" />

<%
from ringo.lib.helpers import prettify
%>

<%def name="maketd(journal, name)">
<%
            try:
              value = prettify(request, journal.get_value(name))
            except AttributeError:
              value = "NaF"
%>
<td>${value}</td>
</%def>
<%def name="maketd_description(journal)">
<%
            try:
              value = prettify(request, journal.get_value("description"))
              value = value.split("\n")
            except AttributeError:
              value = "NaF"
%>
<td>
% for line in value:
  ${line}<br/>
% endfor
</td>
</%def>

<div class="page-header">
  <div class="row">
    <div class="col-sm-8"><h1>Tagebuch - ${participation}</h1></div>
  </div>
</div>
<div class="row">
  <div class="col-md-12">
  <table id="data" class="table table-condensed table-striped table-hover datatable-blank">
    <thead>
      <tr>
        <th>Bearbeiter</th><th>Datum</th><th>Dauer</th><th>Text</th>
      </tr>
    </thead>
    <tbody>
    % for journal in items:
    <tr>
      ${maketd(journal, "editor")}
      ${maketd(journal, "date")}
      ${maketd(journal, "duration")}
      ${maketd_description(journal)}
    </tr>
    % endfor
    </tbody>
  </table>
  </div>
</div>
