#! -*- coding: utf-8 -*-
from pyramid.view import view_config
from ringo.lib.helpers import get_action_routename
from ringo.views.base import update
from efa.model.project import Project
from efa.lib.validators import get_date_from_str


@view_config(route_name=get_action_routename(Project, 'update'),
             renderer='/default/update.mako',
             permission='update')
def update_(request):
    evalues = {}
    settings = request.registry.settings
    min_start = get_date_from_str(settings.get("efa.project_min_start"))
    evalues['_project_min_start'] = min_start
    return update(request, values=evalues)
